Package ru.bitel.bgbilling.plugins.fias.common.bean.bgbean

# Class House

java.lang.Object
ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House

public class House extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `House()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAoguid()`
  Возвращает guid записи родительского объекта.
  `String`
  `getBgFrac()`
  Возвращает дробь дома в биллинге.
  `String`
  `getBgHousenum()`
  Возвращает номер дома в биллинге.
  `String`
  `getBGTitle()`
  `String`
  `getBuildnum()`
  Возвращает номер строения ФИАС.
  `String`
  `getEststatus()`
  Возвращает признак владения.
  `String`
  `getFiasiTitle()`
  `String`
  `getHouseguid()`
  Возвращает guid дома.
  `String`
  `getHousenum()`
  Возвращает номер дома ФИАС.
  `int`
  `getId()`
  Возвращает id дома в билинге.
  `String`
  `getPostalcode()`
  `int`
  `getStreetId()`
  Возвращает id улицы.
  `String`
  `getStreetTitle()`
  Возвращает название улицы.
  `String`
  `getStrstatus()`
  Возвращает признак строения.
  `String`
  `getStrucnum()`
  Возвращает номер корпуса ФИАС.
  `void`
  `setAoguid(String aoguid)`
  Устанавливает guid записи родительского объекта.
  `void`
  `setBgFrac(String bgFrac)`
  Устанавливает дробь дома в биллинге.
  `void`
  `setBgHousenum(String bgHousenum)`
  Устанавливает номер дома в биллинге.
  `void`
  `setBuildnum(String buildnum)`
  Устанавливает номер строения ФИАС.
  `void`
  `setEststatus(String eststatus)`
  Устанавливает признак владения.
  `void`
  `setHouse(House house)`
  `void`
  `setHouseguid(String houseguid)`
  Устанавливает guid дома.
  `void`
  `setHousenum(String housenum)`
  Устанавливает номер дома ФИАС.
  `void`
  `setId(int id)`
  Устанавливает id дома в билинге.
  `void`
  `setPostalcode(String postalcode)`
  `void`
  `setStreetId(int streetId)`
  Устанавливает id улицы.
  `void`
  `setStreetTitle(String streetTitle)`
  Устанавливает название улицы.
  `void`
  `setStrstatus(String strstatus)`
  Устанавливает признак строения.
  `void`
  `setStrucnum(String structnum)`
  Устанавливает номер корпуса ФИАС.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### House

    public House()

- ## Method Details

  - ### getId

    public int getId()
    Возвращает id дома в билинге.
    Returns:
      - id дома в билинге

  - ### setId

    public void setId(int id)
    Устанавливает id дома в билинге.
    Parameters:
      `id` - - new id дома в билинге

  - ### getAoguid

    public String getAoguid()
    Возвращает guid записи родительского объекта.
    Returns:
      - guid записи родительского объекта

  - ### setAoguid

    public void setAoguid(String aoguid)
    Устанавливает guid записи родительского объекта.
    Parameters:
      `aoguid` - - new guid записи родительского объекта

  - ### getHouseguid

    public String getHouseguid()
    Возвращает guid дома.
    Returns:
      - guid дома

  - ### setHouseguid

    public void setHouseguid(String houseguid)
    Устанавливает guid дома.
    Parameters:
      `houseguid` - - new guid дома

  - ### getHousenum

    public String getHousenum()
    Возвращает номер дома ФИАС.
    Returns:
      - номер дома ФИАС

  - ### setHousenum

    public void setHousenum(String housenum)
    Устанавливает номер дома ФИАС.
    Parameters:
      `housenum` - - new номер дома ФИАС

  - ### getBuildnum

    public String getBuildnum()
    Возвращает номер строения ФИАС.
    Returns:
      - номер строения ФИАС

  - ### setBuildnum

    public void setBuildnum(String buildnum)
    Устанавливает номер строения ФИАС.
    Parameters:
      `buildnum` - - new номер строения ФИАС

  - ### getStrucnum

    public String getStrucnum()
    Возвращает номер корпуса ФИАС.
    Returns:
      - номер корпуса ФИАС

  - ### setStrucnum

    public void setStrucnum(String structnum)
    Устанавливает номер корпуса ФИАС.
    Parameters:
      `structnum` - - new номер корпуса ФИАС

  - ### getStreetId

    public int getStreetId()
    Возвращает id улицы.
    Returns:
      - id улицы

  - ### setStreetId

    public void setStreetId(int streetId)
    Устанавливает id улицы.
    Parameters:
      `streetId` - - new id улицы

  - ### setHouse

    public void setHouse(House house)

  - ### getBgHousenum

    public String getBgHousenum()
    Возвращает номер дома в биллинге.
    Returns:
      - номер дома в биллинге

  - ### setBgHousenum

    public void setBgHousenum(String bgHousenum)
    Устанавливает номер дома в биллинге.
    Parameters:
      `bgHousenum` - - new номер дома в биллинге

  - ### getBgFrac

    public String getBgFrac()
    Возвращает дробь дома в биллинге.
    Returns:
      - дробь дома в биллинге

  - ### setBgFrac

    public void setBgFrac(String bgFrac)
    Устанавливает дробь дома в биллинге.
    Parameters:
      `bgFrac` - - new дробь дома в биллинге

  - ### getBGTitle

    public String getBGTitle()

  - ### getFiasiTitle

    public String getFiasiTitle()

  - ### getStreetTitle

    public String getStreetTitle()
    Возвращает название улицы.
    Returns:
      - название улицы

  - ### setStreetTitle

    public void setStreetTitle(String streetTitle)
    Устанавливает название улицы.
    Parameters:
      `streetTitle` - - new название улицы

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEststatus

    public String getEststatus()
    Возвращает признак владения.
    Returns:
      признак владения

  - ### setEststatus

    public void setEststatus(String eststatus)
    Устанавливает признак владения.
    Parameters:
      `eststatus` - - new признак владения

  - ### getStrstatus

    public String getStrstatus()
    Возвращает признак строения.
    Returns:
      - признак строения

  - ### setStrstatus

    public void setStrstatus(String strstatus)
    Устанавливает признак строения.
    Parameters:
      `strstatus` - - new признак строения

  - ### getPostalcode

    public String getPostalcode()

  - ### setPostalcode

    public void setPostalcode(String postalcode)